Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow.processor.security
Class AutoLoginProcessor

    java.lang.Object
      com.bea.portal.appflow.processor.AbstractPortalProcessor
          com.bea.portal.appflow.processor.security.AutoLoginProcessor

All Implemented Interfaces:
  com.bea.p13n.appflow.webflow.InputProcessor

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public class AutoLoginProcessor
extends AbstractPortalProcessor

This processor attempts to fetch two encoded (BASE64 encoding) cookies (username,password) from the user's browser. If the cookies exist they are placed in the `PipelineSession` (request scoped) so the LoginProcessor can automatically log the user in. This processor does not perform the actual authentication it only decrypts the cookies and places them in the pipeline session.

See Also:
  `SecurityConstants.COOKIES`, `SecurityConstants.NO_COOKIES`, `SecurityConstants.DEFAULT_COOKIE_TIMEOUT`, `SecurityConstants.PORTAL_USERNAME_COOKIE_NAME`, `SecurityConstants.PORTAL_PASSWORD_COOKIE_NAME`

Constructor Summary
`AutoLoginProcessor()` Deprecated.

Method Summary
`protected boolean` | `getCredentialsFromCookie(HttpServletRequest request, Object requestContext)` Deprecated.
`Object` | `process(HttpServletRequest request, HttpServletResponse response, PortalRequest portalRequest, Object requestContext)` Deprecated. Main process method called by webflow.

Methods inherited from class com.bea.portal.appflow.processor.AbstractPortalProcessor
`getCurrentPortletState, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoLoginProcessor

    public AutoLoginProcessor()

  Deprecated.

Method Detail

### process

    public Object process(HttpServletRequest request,
                          HttpServletResponse response,
                          PortalRequest portalRequest,
                          Object requestContext)
                   throws com.bea.p13n.appflow.exception.ProcessingException

  Deprecated.
  Main process method called by webflow.

  Specified by:
    `process` in class `AbstractPortalProcessor`
  Returns:
    "cookies" if the use had username passord cookies, otherwise it returns "no_cookies"
  Throws:
    `com.bea.p13n.appflow.exception.ProcessingException`

### getCredentialsFromCookie

    protected boolean getCredentialsFromCookie(HttpServletRequest request,
                                               Object requestContext)
                                        throws com.bea.p13n.appflow.exception.ProcessingException

  Deprecated.
  Throws:
    `com.bea.p13n.appflow.exception.ProcessingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved